EDIT - bug #8050

Create blocking registrations for un-registered names which are to be used in nomenclatural acts
01/31/2019 03:00 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

Implement the policy as defined in #8049:

Wenn in einem nomenklatorischen Akt ein Name verwendet wird, der noch nicht registriert ist, wird eine sog. Bloking-Registration flir
diesen Namen erzeugt, es sei denn der Name wird in einem WeaklyRelatedEntityField verwendet" (WeaklyRelatedEntityField ist das
Eingabe-Element, das fiir die Genera im Falle von Species im TaxonNamePopupEditor verwendet wird)

Related issues:
Related to PhycoBank - task #8049: Blocking registration policy Closed

Associated revisions

Revision 68afc0ec - 03/26/2019 05:05 PM - Andreas Kohlbecker

ref #8050 moving transactional code from RegistrationWorkingsetPresenter to new service class

Revision 4e29¢10f - 03/27/2019 11:30 AM - Andreas Kohlbecker

ref #8050 creating blocking registrations for exising names which are used in the context of another registration

Revision eee96dac - 03/27/2019 11:35 AM - Andreas Kohlbecker

ref #8050 moving transactional code from RegistrationWorkingsetPresenter to new service class

Revision 8af7fcc2 - 03/27/2019 11:36 AM - Andreas Kohlbecker

ref #8050 creating blocking registrations for exising names which are used in the context of another registration

Revision ee57¢0d9 - 03/27/2019 01:47 PM - Andreas Kohlbecker

ref #8050 fixing bug in reloadRegistrtions() and removing remain from previous conflict

Revision a6edfc5a - 03/27/2019 02:17 PM - Andreas Kohlbecker

ref #8050 fixing bug in reloadRegistrtions() and removing remain from previous conflict

Revision 6062e4a0 - 03/29/2019 02:31 PM - Andreas Kohlbecker

ref #8050 validing related name nomenclatural reference to require the user to add missing references when reusing an exising name

Revision 580d5157 - 03/29/2019 04:02 PM - Andreas Kohlbecker

ref #8050 validing related name nomenclatural reference to require the user to add missing references when reusing an exising name

History

#1 - 01/31/2019 03:00 PM - Andreas Kohlbecker
- Related to task #8049: Blocking registration policy added

#2 - 03/25/2019 05:27 PM - Andreas Kohlbecker

- Description updated

#3 - 03/25/2019 05:28 PM - Andreas Kohlbecker

- Status changed from New to In Progress
#4 - 03/26/2019 05:14 PM - Andreas Kohlbecker

Wenn man versehentlich einen falschen namen z.B. als Basionym auswahlt, wiirde dann fir diesen Namen eine Blocking-Registration erzeugt
werden. Das kann bei groBBer Schusseligkeit lastig werden.

#5 - 03/27/2019 01:12 PM - Andreas Kohlbecker
- Status changed from In Progress to Feedback
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 10

There will be situations in which the existing name will not yet have a nomenclatural reference. Creating a Registration for this name will result in a
Registration which can not be related to a citation and thus in a broken registration working set.

Solutions:
1. Require the user to add a reference to the name before the popup editor in which the name is references can be saved.
2. Extend the RegistrationltemComponents:
o allow editing names and type even if there is no common citation.
o add a message box to notify the user about the problem and give a hint towards a solution.
This needs to be discussed.

#6 - 03/27/2019 01:51 PM - Andreas Kohlbecker
- % Done changed from 10 to 30

#7 - 03/27/2019 05:36 PM - Andreas Kohlbecker
- Status changed from Feedback to In Progress

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

We agreed on solution 1. from above: "Require the user to add a reference to the name before the popup editor in which the name is references can
be saved."

The other potential problem named in comment 4 will be hanled by the curator: The unnecessary registrations will be set to REJECTED

#8 - 03/27/2019 05:57 PM - Wolf-Henning Kusber

Solution 1 should also preclude name duplicates.
#9 - 03/28/2019 08:40 AM - Andreas Kohlbecker
Wolf-Henning Kusber wrote:

Solution 1 should also preclude name duplicates.

this should be handled in a separate ticket: #8207

#10 - 04/01/2019 01:50 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 30 to 50

| consider this issue as being completed, please review

#11 - 04/11/2019 04:24 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Related to #8217

If a name without reference is in the dropdown list, the user is forced to add a reference.

This is true for IAPT imports.

Genera imported for the taxon graph AND species eintered in the TaxEditor as name only are not available.

Tested with new name in field replaced synonym.
Tested with existing name.
Both tests failed.

#12 - 04/11/2019 05:44 PM - Wolf-Henning Kusber

Poposal: Make names (stored in the system) available [as new names as well as for existing names). For genera, the author team is missing, this can
be fixed by adding a reference including authors. Correct?

#13 - 04/23/2019 04:13 PM - Andreas Kohlbecker
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
| cannot reproduce the problems mentioned in comment 12 and 13.

#14 - 04/23/2019 04:25 PM - Andreas Kohlbecker

- Subject changed from Create blocking relations for un-registered names which are to be used in nomenclatural acts to Create blocking registrations
for un-registered names which are to be used in nomenclatural acts

#15 - 05/16/2019 02:20 PM - Andreas Kohlbecker
Hi Henning
i could not reproduce the problem that
Genera imported for the taxon graph AND species eintered in the TaxEditor as name only are not available.

is this still valid?
If not, is there anything else to to about this issue?

#16 - 06/26/2019 03:38 PM - Wolf-Henning Kusber
Das Problem in #11 und #12:
Konkret méchte ich fir einen existierenden Namen, z.B. "Micrasterias" einen (Namens-)Typus anlegen. Ich gehe in existing names und finde den

Namen nicht, da er zwar im System ist, aber keine Referenz und keine Autoren hat. Meine Uberlegung war, dass ich dann ein Duplikat "Micrasterias"
mit Autor und Referenz erstellen musste, statt "Micrasterias" aus dem System zu erganzen.

#17 - 06/26/2019 03:56 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

#18 - 06/27/2019 09:04 AM - Andreas Kohlbecker
- Status changed from Feedback to Resolved
Wolf-Henning Kusber wrote:
Das Problem in #11 und #12:
Konkret mdchte ich flir einen existierenden Namen, z.B. "Micrasterias" einen (Namens-)Typus anlegen. Ich gehe in existing names und finde

den Namen nicht, da er zwar im System ist, aber keine Referenz und keine Autoren hat. Meine Uberlegung war, dass ich dann ein Duplikat
"Micrasterias" mit Autor und Referenz erstellen misste, statt "Micrasterias" aus dem System zu ergénzen.

Das ist ein anderes Problem/Thema als das was in diesem Ticket hier behandelt wird. Ich schlage daher vor dieses Problem gesondert zu diskutieren
und dieses Ticket hier zu schlie3en.

#19 - 06/27/2019 10:25 AM - Wolf-Henning Kusber
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Okay, da offene Punkt auch mit Workflows zu tun hat, sollten wir den kommende Woche diskutieren. SchlieBe wie besprochen dies Ticket.
